<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.bf.mapper.FhzgSeLineLossDetailMapper">

    <!-- 批量插入线损明细 -->
    <insert id="insertBatch">
        INSERT INTO fhzg_se_line_loss_detail (
            snap_time, feeder_id, psr_id, psr_type, county_id, subs_id,
            current_ka, sb_length_m, resistivity, line_loss_kw, create_time
        ) VALUES
        <foreach collection="list" item="item" separator=",">
            (
            #{item.snapTime}, #{item.feederId}, #{item.psrId}, #{item.psrType}, #{item.countyId}, #{item.subsId},
            #{item.currentKa}, #{item.sbLengthM}, #{item.resistivity}, #{item.lineLossKw}, #{item.createTime}
            )
        </foreach>
    </insert>

</mapper>
